Gravv DOCS
Docs Agent Get Started
API Reference Get card applications

Get card applications

Retrieve a paginated list of card applications with optional filtering.

GET/v1/cards/applications

Query Parameters

Page number for pagination

Number of applications per page

Responses

Status Description
200 List of card applications retrieved successfully

200 response

Link for verification or application portal

Current status of the card application

Possible values: approved, pending, needs_verification, needs_information, manual_review, denied, locked, canceled

ID of the customer who submitted the application

Timestamp when the application was created

Timestamp when the application was last updated

Unique identifier for the application

Number of applications returned per page

Current page number

Total number of applications

Total number of pages

{
"data": {
"items": [
  {
    "application_link": "https://verify.gravv.xyz/kyc?token=example",
    "application_status": "approved",
    "customer_id": "1805c3be-abca-4698-9cbd-789fc1d619eb",
    "date_created": "2025-12-05T10:48:18.170061Z",
    "date_updated": "2025-12-06T15:31:40.273281Z",
    "id": "ac21ddfc-f6ba-432c-abb3-c5e2243e8ef7"
  },
  {
    "application_link": "https://verify.gravv.xyz/kyc?token=example",
    "application_status": "needs_verification",
    "customer_id": "ddf10e10-0ea9-4c79-b39a-ddb270ea0cff",
    "date_created": "2025-11-25T17:03:19.984008Z",
    "date_updated": "2025-11-25T17:03:19.984008Z",
    "id": "b261c1df-b88a-4b6c-8989-d6c0ac177716"
  }
],
"items_per_page": 2,
"page": 1,
"total_items": 5,
"total_pages": 3
},
"error": null
}

Authorization

  • ApiKeyAuth
Was this page helpful?
Assistant
Responses are generated using AI and may contain mistakes.

Ask me anything about the documentation.

ESC